Body{
    background-color: gray;/*burlywood;*/
    font-family: Arial;
    width: 100%;
    color: #1a1a1a;
    font-size: 1.2rem;
}

.search-container {
  color: white;
  font-weight: bold;
}

.himage {
  width: 100%;
  height: 500px;
  object-fit: cover;
  border-radius: 0.7em;
}

.im {
  width: 100%;
  height:200px;
  object-fit: cover;
  border-radius: 0.7em;
}

nav {
  display: flex;
  justify-content: space-between;
  width: 90%;
  margin: 0.5em;
}

.search-container{
    display: flex;
    justify-content: center;
    padding: 20px;
}

.search-container button{
    padding: 0.7em;
    margin-top: 0.6;
    text-decoration: none;
    border-radius: 5px;
}

h1{
    color: teal;
    padding: 0.7em;
    margin: 0.6em;
    text-align: center;
    background: lightgray;
    border-radius: 0.7em;
}

h2 {
  margin: 0.5em;
  padding: 0.5em;
  text-align: center;
  background: lightgray;
  border-radius: 5px;
  color:#006060;
}

h3{
  text-align: center;
  background: lightgray;
  margin: 0.5em;
  padding: 0.5em;
  color:#006060;
}

h4{
  margin: 0.5em;
  padding; 0.5em
}

p {
  margin: 0 0.5em;
  padding: 0.6em;
}

span {
  font-style: italic;
  font-weight: bold;
}

article a,section a {
  margin: 0.5em;
}

nav a:link{
    display: inline-block;
    background-color: #006064;
    color: white;
    padding: 0.5em;
    margin: 0.5em;
    text-decoration: none;
    border-radius: 5px;
}

nav a:visited{
    background-color: #004D50;
    color: white;
}

#home {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

section:not(.welcome,.latest-posts) {
  display: none;
}

section:not(.welcome,.latest-posts):target {
  display: block;
  margin: 1em auto;
  width: 80%;
}

.together {
  background: #e0e0e0;
  border-radius: 0.7em;
  padding: 0.5em;
}

.welcome-layout {
  width: 80%;
  margin: 0.5em auto;
}

.welcome {
  flex: 2;
  border-radius: 0.7em;
  background: lightgray;/*#e0e0e0;*/
  padding: 0.5em;
}

.latest-posts {
  flex: 2;
}

article {
 background: lightgray; 
 border-radius: 0.7em;
 padding: 0.5em;
 margin: 0.5em;
}

.heading {
  font-weight: bold;
  margin: 0.5em;
  color: #004050;
}

label {
  display: block;
  margin: 0.5em;
}

input,textarea {
  margin: 0.5em;
}

footer {
  width: 80%;
  margin: 0.5em auto;
}

.follow {
  text-align: center;
}

.copyright {
  text-align: center;
  font-size: 0.7em;
  color: white;
  margin: 1em;
  padding: 0.5em;
  background: lightgray;
}

.back-link {
  font-size: 0.6em;
}

@media(max-width:480px) {
  #home {
    display: flex;
    flex-direction: column;
  }
}

@media (max-width: 480px) {
  nav {
    text-align: center; 
  }

nav .links {
    display: block;
  }

nav a {
    display: inline-block; 
    width: 42%; 
    margin: 0.3em 1%; 
    text-align: center;
    box-sizing: border-box; 
  }
}

@media (max-width: 1080px) {
  .himage {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 0.7em;
}
}
